List LQA profiles
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/lqa/profiles \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/lqa/profiles"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/lqa/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"isDefault": true,
"name": "<string>",
"organization": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"uid": "string"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Quality Assurance
List LQA profiles
Requires LQA to be enabled for the organization. Accessible to users with internal role or projectCreate access right.
GET
/
api2
/
v1
/
lqa
/
profiles
List LQA profiles
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Name of LQA profiles, it is used for filter the list by name
It is used for filter the list by who created the profile
It is used for filter the list by date created
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 20
Required range:
1 <= x <= 50Available options:
NAME, CREATED_BY, DATE_CREATED Available options:
ASC, DESC Was this page helpful?